<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div>

  <div class="modal-header">
    <h4
      class="modal-title overflow-hidden text-overflow-ellipsis text-nowrap"
      id="modal-basic-title"
      [innerText]="targetTenant ? messages.editTenantPopupTitle(targetTenant.name) : messages.CREATE_TENANT_POPUP_TITLE">
    </h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
    </button>
  </div>

  <div class="modal-body">

    <form #tenantForm class="ls-form">

      <div
        *ngIf="userPreferences.showAdminIds"
        class="form-group row ms-2 me-2">
        <label
          class="col-sm-4 col-form-label"
          for="popupKeyInput"
          [innerText]="commonMessages.ID">
        </label>
        <input
          id="popupKeyInput"
          class="form-control col-sm-8"
          type="text"
          [value]="pendingTenant.id"
          disabled>
      </div>

      <div class="form-group row ms-2 me-2">
        <label
          class="col-sm-4 col-form-label"
          for="popupNameInput"
          [innerText]="commonMessages.NAME">
        </label>
        <input
          id="popupNameInput"
          class="form-control col-sm-8"
          type="text"
          [(ngModel)]="pendingTenant.name"
          [ngModelOptions]="{standalone: true}"
          required
          autofocus="true">
      </div>

    </form>
  </div>

  <div class="modal-footer">
    <button ls-button-cancel (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)"></button>
    <button
      ls-button-save
      (click)="onSaveButtonClicked()"
      [disabled]="!tenantForm.checkValidity()"
      [processing]="isProcessing">
    </button>
  </div>

</div>
